import { Apis } from "@@/infra/api";
import { LabelCategory } from "./entities/labelCategory";
import {
  LabelCategoryUpdateDTO,
  LabelCreateDTO,
  LabelDeleteDTO,
  LabelUpdateDTO,
} from "@@/infra/api/dto";

export class LabelRepository {
  async createNewLabelCategory(labelCategory: LabelCategory) {
    return await Apis.createNewLabelCategory(labelCategory);
  }

  async findLabelCategory() {
    return await Apis.findLabelCategory();
  }

  async createLabel(p: LabelCreateDTO) {
    return await Apis.createLabel(p);
  }

  async updateLabel(p: LabelUpdateDTO) {
    return await Apis.updateLabel(p);
  }

  async deleteLabel(p: LabelDeleteDTO) {
    return await Apis.deleteLabel(p);
  }

  async updateCategory(p: LabelCategoryUpdateDTO) {
    return await Apis.updateCategory(p);
  }
}
