import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  CreateDateColumn,
  UpdateDateColumn,
} from 'typeorm';

@Entity('logs')
export class Log {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column({ type: 'varchar', length: 255 })
  level: string; // 日志等级, 如：'info', 'error', 'warn' 等

  @Column({ type: 'text' })
  message: string; // 日志内容

  @Column({ type: 'text', nullable: true })
  metadata?: string; // 元数据, 可选，可以存储如错误堆栈等额外信息

  @Column({ type: 'varchar', length: 255, nullable: true })
  service: string; // 来源服务或应用的名称

  @CreateDateColumn({ type: 'timestamp' })
  createdAt: Date; // 日志创建时间

  @UpdateDateColumn({ type: 'timestamp' })
  updatedAt: Date; // 日志更新时间
}
